logo
DATABASE RESOURCES PRICING ABOUT US

bash security and bug fix update

Description

[4.2.46-28] - CVE-2016-9401 - Fix crash when '-' is passed as second sign to popd Resolves: #1429838 [4.2.46-27] - CVE-2016-7543: Fix for arbitrary code execution via SHELLOPTS+PS4 variables Resolves: #1426026 [4.2.46-26] - CVE-2016-0634: Fix for arbitrary code execution via malicious hostname Resolves: #1379237 [4.2.46-25] - Plug a leak related to compound assignments Resolves: #1264101 [4.2.46-24] - Recognize cd -e Resolves: #1267478 [4.2.46-23] - Add a condition before setting pipeline_pgrp to shell_pgrp Resolves: #1377496 [4.2.46-22] - Avoid crash in parameter expansion while expanding long strings Resolves: #1403255


Affected Package


OS OS Version Package Name Package Version
oracle linux 7 bash 4.2.46-28.el7
oracle linux 7 bash 4.2.46-28.el7
oracle linux 7 bash-doc 4.2.46-28.el7
oracle linux 7 bash 4.2.46-28.el7
oracle linux 7 bash 4.2.46-28.el7
oracle linux 7 bash-doc 4.2.46-28.el7

Related